> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue a new execution for the stored period using current workflow settings



## OpenAPI

````yaml /api-reference/platform-api.json post /v2/workflows/runs/{id}/rerun
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.27
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/workflows/runs/{id}/rerun:
    post:
      tags:
        - Workflows
      summary: >-
        Queue a new execution for the stored period using current workflow
        settings
      operationId: rerun
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueuedWorkflowRunDto'
components:
  schemas:
    QueuedWorkflowRunDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workflow_id:
          type: string
          format: uuid
        occurrence_at:
          type: string
          nullable: true
          format: date-time
        rerun_of:
          type: string
          nullable: true
          format: uuid
        requested_cutoff:
          format: date-time
          type: string
          description: >-
            Inclusive observation bound; period.end is the exclusive end of the
            stored half-open period.
        execution_status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
            - cancelled
            - skipped
        tx_sync_status:
          type: string
          enum:
            - not_applicable
            - waiting
            - completed
            - expired
        delivery_status:
          type: string
          enum:
            - not_required
            - pending
            - sending
            - sent
            - failed
            - cancelled
        created_at:
          format: date-time
          type: string
        cases:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowRunCaseDto'
        queued_at:
          format: date-time
          type: string
        started_at:
          type: string
          format: date-time
          nullable: true
          example: null
      required:
        - id
        - workflow_id
        - occurrence_at
        - rerun_of
        - requested_cutoff
        - execution_status
        - tx_sync_status
        - delivery_status
        - created_at
        - cases
        - queued_at
        - started_at
    WorkflowRunCaseDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        kind:
          type: string
          enum:
            - execution
            - delivery
      required:
        - id
        - kind
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````